# Ds\Queue::capacity

(PECL ds >= 1.0.0)

Ds\Queue::capacity — Returns the current capacity

### Description

public Ds\Queue::capacity ( void ) : int

Returns the current capacity.

### Parameters

This function has no parameters.

### Return Values

The current capacity.

### Examples

Example #1 Ds\Queue::capacity() example

`<?php
$queue = new \Ds\Queue();
var_dump($queue->capacity());
$queue->push(...range(1, 50));
var_dump($queue->capacity());
?>`

The above example will output something similar to:

    int(8)
    int(64)